<template>
  <div :class="[$style.tag, $style[themeColor]]">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseTag",
  props: {
    theme: {
      type: String,
      required: false,
      default: "Pending"
    }
  },
  computed: {
    themeColor: function() {
      switch (this.theme) {
        case "Approved":
          return "success";
        case "Denied":
          return "alert";
        case "Pending":
          return "Secondary";
        default:
          return "Secondary";
      }
    }
  }
});
</script>

<style module lang="scss">
.tag {
  padding: 0.5rem;
  border-radius: 0.2rem;
  color: white;
  width: 80px;
  text-align: center;
}
.success {
  background: $color--primary;
}
.alert {
  background: $color--red;
}
.Secondary {
  background: $color--dark-gray;
}
</style>
